Index: doc/latex/libPF_8h__dep__incl.eps
===================================================================
--- doc/latex/libPF_8h__dep__incl.eps (revision 224)
+++ doc/latex/libPF_8h__dep__incl.eps (revision 234)
@@ -180,35 +180,35 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 1288 124
+%%PageBoundingBox: 36 36 1734 124
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 1252 88 boxprim clip newpath
+36 36 1698 88 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 547 58 moveto
-547 79 lineto
-719 79 lineto
-719 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 547 58 moveto
-547 79 lineto
-719 79 lineto
-719 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-555 65.5 moveto 156 (work/git/mixpp/bdm/estim/libPF.h) alignedtext
+newpath 767 58 moveto
+767 79 lineto
+939 79 lineto
+939 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 767 58 moveto
+767 79 lineto
+939 79 lineto
+939 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+775 65.5 moveto 156 (work/git/mixpp/bdm/estim/libPF.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 0 1 184 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($mpf__test_8cpp.html) >>
+[ /Rect [ 0 1 186 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__load_8cpp.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -216,6 +216,6 @@
 newpath 0 0 moveto
 0 21 lineto
-185 21 lineto
-185 0 lineto
+186 21 lineto
+186 0 lineto
 closepath fill
 1 setlinewidth
@@ -224,10 +224,10 @@
 newpath 0 0 moveto
 0 21 lineto
-185 21 lineto
-185 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 7.5 moveto 169 (work/git/mixpp/pmsm/mpf_test.cpp) alignedtext
+186 21 lineto
+186 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 7.5 moveto 170 (work/git/mixpp/pmsm/mpf_load.cpp) alignedtext
 grestore
 % Node1->Node2
@@ -236,24 +236,71 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 537 59 moveto
-447 49 311 35 193 22 curveto
-190 22 187 21 184 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 536.7 62.49 moveto
-547 60 lineto
-537.4 55.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 536.7 62.49 moveto
-547 60 lineto
-537.4 55.52 lineto
+newpath 757 63 moveto
+628 55 395 40 195 22 curveto
+192 22 189 21 186 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 756.7 66.49 moveto
+767 64 lineto
+757.4 59.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 756.7 66.49 moveto
+767 64 lineto
+757.4 59.52 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 202 1 402 21 ]
+[ /Rect [ 204 1 388 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__test_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 204 0 moveto
+204 21 lineto
+389 21 lineto
+389 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 204 0 moveto
+204 21 lineto
+389 21 lineto
+389 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+211.5 7.5 moveto 169 (work/git/mixpp/pmsm/mpf_test.cpp) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 757 59 moveto
+664 50 521 35 397 22 curveto
+394 22 391 21 388 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 756.7 62.49 moveto
+767 60 lineto
+757.4 55.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 756.7 62.49 moveto
+767 60 lineto
+757.4 55.52 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 406 1 606 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($mpf__u__delta_8cpp.html) >>
@@ -261,45 +308,91 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 202 0 moveto
-202 21 lineto
-403 21 lineto
-403 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 202 0 moveto
-202 21 lineto
-403 21 lineto
-403 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-209.5 7.5 moveto 185 (work/git/mixpp/pmsm/mpf_u_delta.cpp) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 560 56 moveto
-499 45 415 30 359 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 559.51 59.47 moveto
-570 58 lineto
-560.88 52.61 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 559.51 59.47 moveto
-570 58 lineto
-560.88 52.61 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 420 1 628 21 ]
+newpath 406 0 moveto
+406 21 lineto
+607 21 lineto
+607 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 406 0 moveto
+406 21 lineto
+607 21 lineto
+607 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+413.5 7.5 moveto 185 (work/git/mixpp/pmsm/mpf_u_delta.cpp) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 777 56 moveto
+713 45 625 30 566 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 776.51 59.47 moveto
+787 58 lineto
+777.88 52.61 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 776.51 59.47 moveto
+787 58 lineto
+777.88 52.61 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 624 1 848 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__u__delta__real_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 624 0 moveto
+624 21 lineto
+849 21 lineto
+849 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 624 0 moveto
+624 21 lineto
+849 21 lineto
+849 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+631.5 7.5 moveto 209 (work/git/mixpp/pmsm/mpf_u_delta_real.cpp) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 822 54 moveto
+801 43 774 30 756 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 820.44 57.14 moveto
+831 58 lineto
+823.28 50.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 820.44 57.14 moveto
+831 58 lineto
+823.28 50.74 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 866 1 1074 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($mpf__u__weight_8cpp.html) >>
@@ -307,45 +400,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 420 0 moveto
-420 21 lineto
-628 21 lineto
-628 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 420 0 moveto
-420 21 lineto
-628 21 lineto
-628 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-428 7.5 moveto 192 (work/git/mixpp/pmsm/mpf_u_weight.cpp) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 603 53 moveto
-584 43 559 30 543 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 601.56 56.2 moveto
-612 58 lineto
-604.96 50.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 601.56 56.2 moveto
-612 58 lineto
-604.96 50.08 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 646 1 840 21 ]
+newpath 866 0 moveto
+866 21 lineto
+1074 21 lineto
+1074 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 866 0 moveto
+866 21 lineto
+1074 21 lineto
+1074 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+874 7.5 moveto 192 (work/git/mixpp/pmsm/mpf_u_weight.cpp) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 884 54 moveto
+905 43 932 30 950 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 882.72 50.74 moveto
+875 58 lineto
+885.56 57.14 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 882.72 50.74 moveto
+875 58 lineto
+885.56 57.14 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 1092 1 1286 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($pmsm__mix_8cpp.html) >>
@@ -353,45 +446,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 646 0 moveto
-646 21 lineto
-841 21 lineto
-841 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 646 0 moveto
-646 21 lineto
-841 21 lineto
-841 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-653.5 7.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 663 53 moveto
-682 43 708 30 724 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 661.04 50.08 moveto
-654 58 lineto
-664.44 56.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 661.04 50.08 moveto
-654 58 lineto
-664.44 56.2 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 858 1 1068 21 ]
+newpath 1092 0 moveto
+1092 21 lineto
+1287 21 lineto
+1287 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1092 0 moveto
+1092 21 lineto
+1287 21 lineto
+1287 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1099.5 7.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 927 56 moveto
+988 45 1074 30 1131 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 926.12 52.61 moveto
+917 58 lineto
+927.49 59.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 926.12 52.61 moveto
+917 58 lineto
+927.49 59.47 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 1304 1 1514 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($pmsm__unkQpf_8cpp.html) >>
@@ -399,45 +492,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 858 0 moveto
-858 21 lineto
-1069 21 lineto
-1069 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 858 0 moveto
-858 21 lineto
-1069 21 lineto
-1069 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-865.5 7.5 moveto 195 (work/git/mixpp/pmsm/pmsm_unkQpf.cpp) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 706 56 moveto
-767 45 851 30 906 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 705.12 52.61 moveto
-696 58 lineto
-706.49 59.47 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 705.12 52.61 moveto
-696 58 lineto
-706.49 59.47 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 1086 1 1244 21 ]
+newpath 1304 0 moveto
+1304 21 lineto
+1515 21 lineto
+1515 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1304 0 moveto
+1304 21 lineto
+1515 21 lineto
+1515 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1311.5 7.5 moveto 195 (work/git/mixpp/pmsm/pmsm_unkQpf.cpp) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 949 59 moveto
+1051 49 1211 32 1314 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 948.6 55.52 moveto
+939 60 lineto
+949.3 62.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 948.6 55.52 moveto
+939 60 lineto
+949.3 62.49 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 1532 1 1690 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($sim_8cpp.html) >>
@@ -445,41 +538,41 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 1086 0 moveto
-1086 21 lineto
-1245 21 lineto
-1245 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 1086 0 moveto
-1086 21 lineto
-1245 21 lineto
-1245 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-1093.5 7.5 moveto 143 (work/git/mixpp/pmsm/sim.cpp) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 729 59 moveto
-819 50 957 35 1077 22 curveto
-1080 22 1083 21 1086 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 728.6 55.52 moveto
-719 60 lineto
-729.3 62.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 728.6 55.52 moveto
-719 60 lineto
-729.3 62.49 lineto
+newpath 1532 0 moveto
+1532 21 lineto
+1691 21 lineto
+1691 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1532 0 moveto
+1532 21 lineto
+1691 21 lineto
+1691 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1539.5 7.5 moveto 143 (work/git/mixpp/pmsm/sim.cpp) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 949 63 moveto
+1080 56 1319 41 1523 22 curveto
+1526 22 1529 21 1532 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 948.6 59.52 moveto
+939 64 lineto
+949.3 66.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 948.6 59.52 moveto
+939 64 lineto
+949.3 66.49 lineto
 closepath stroke
 grestore
@@ -491,5 +584,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 1288 124
+%%BoundingBox: 36 36 1734 124
 end
 restore
